org.wso2.carbon.device.mgt.mobile.windows.api.operations.util

## Enum OperationCode.Command

- java.lang.Object
- - java.lang.Enum<OperationCode.Command>
  - - org.wso2.carbon.device.mgt.mobile.windows.api.operations.util.OperationCode.Command

- All Implemented Interfaces:
    Serializable, Comparable<OperationCode.Command>
  Enclosing class:
    OperationCode

      public static enum OperationCode.Command
      extends Enum<OperationCode.Command>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BATTERY_CHARGE_REMAINING`
    `BATTERY_ESTIMATED_RUNTIME`
    `BATTERY_QUERY`
    `BATTERY_STATUS`
    `CAMERA`
    `CAMERA_STATUS`
    `DEVICE_LOCK`
    `DEVICE_PASSCODE_DELETE`
    `DEVICE_PASSWORD_ENABLE`
    `DEVICE_REBOOT`
    `DEVICE_RING`
    `DEVICE_TYPE`
    `DISENROLL`
    `ENCRYPT_STORAGE`
    `ENCRYPT_STORAGE_STATUS`
    `LATITUDE`
    `LOCK_RESET`
    `LONGITUDE`
    `MOBILE_ID`
    `OS_PLATFORM`
    `TEST`
    `TOTAL_RAM`
    `TOTAL_STORAGE`
    `WIPE_DATA`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()`
    `static OperationCode.Command` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OperationCode.Command[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEVICE_RING

          public static final OperationCode.Command DEVICE_RING

    - #### DEVICE_LOCK

          public static final OperationCode.Command DEVICE_LOCK

    - #### WIPE_DATA

          public static final OperationCode.Command WIPE_DATA

    - #### DISENROLL

          public static final OperationCode.Command DISENROLL

    - #### LOCK_RESET

          public static final OperationCode.Command LOCK_RESET

    - #### CAMERA

          public static final OperationCode.Command CAMERA

    - #### ENCRYPT_STORAGE

          public static final OperationCode.Command ENCRYPT_STORAGE

    - #### CAMERA_STATUS

          public static final OperationCode.Command CAMERA_STATUS

    - #### ENCRYPT_STORAGE_STATUS

          public static final OperationCode.Command ENCRYPT_STORAGE_STATUS

    - #### DEVICE_PASSWORD_ENABLE

          public static final OperationCode.Command DEVICE_PASSWORD_ENABLE

    - #### DEVICE_PASSCODE_DELETE

          public static final OperationCode.Command DEVICE_PASSCODE_DELETE

    - #### TOTAL_RAM

          public static final OperationCode.Command TOTAL_RAM

    - #### TOTAL_STORAGE

          public static final OperationCode.Command TOTAL_STORAGE

    - #### OS_PLATFORM

          public static final OperationCode.Command OS_PLATFORM

    - #### MOBILE_ID

          public static final OperationCode.Command MOBILE_ID

    - #### DEVICE_TYPE

          public static final OperationCode.Command DEVICE_TYPE

    - #### BATTERY_QUERY

          public static final OperationCode.Command BATTERY_QUERY

    - #### BATTERY_STATUS

          public static final OperationCode.Command BATTERY_STATUS

    - #### BATTERY_CHARGE_REMAINING

          public static final OperationCode.Command BATTERY_CHARGE_REMAINING

    - #### BATTERY_ESTIMATED_RUNTIME

          public static final OperationCode.Command BATTERY_ESTIMATED_RUNTIME

    - #### LONGITUDE

          public static final OperationCode.Command LONGITUDE

    - #### LATITUDE

          public static final OperationCode.Command LATITUDE

    - #### TEST

          public static final OperationCode.Command TEST

    - #### DEVICE_REBOOT

          public static final OperationCode.Command DEVICE_REBOOT

  - ### Method Detail

    - #### values

          public static OperationCode.Command[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OperationCode.Command c : OperationCode.Command.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OperationCode.Command valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public String getCode()

Copyright © 2017 WSO2. All rights reserved.